## moblin-image-creator 0.29gutsy1

=== Makefile ===
SHAREDIR = /usr/share/pdk/

VERSION = 0.1
all:
	${MAKE} -C platforms

# This target will do a cleanall and then reinstall
cleaninstall: cleanall install

# Simple tests
runtests: runbasictests

# Everytime we install the code we want the basic unit tests to run
install: basicinstall runbasictests

basicinstall: all
	@echo "Installing platform definitions..."
	@${MAKE} -C platforms install
	@echo -n "Installing moblin-image-creator..."
	@mkdir -p ${DESTDIR}/${SHAREDIR}/default_config
	@mkdir -p ${DESTDIR}/${SHAREDIR}/lib
	@mkdir -p ${DESTDIR}/${SHAREDIR}/locale
	@mkdir -p ${DESTDIR}/${SHAREDIR}/projects
	@mkdir -p ${DESTDIR}/${SHAREDIR}/utils
	@mkdir -p ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
	@cp utils/gutsy ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
	@cp libs/*.py  ${DESTDIR}/${SHAREDIR}/lib
	@cp gui/*.py  ${DESTDIR}/${SHAREDIR}/lib
	@cp gui/*.glade ${DESTDIR}/${SHAREDIR}
	@cp COPYING ${DESTDIR}/${SHAREDIR}/
	@cp -a gui/pixmaps/. ${DESTDIR}/${SHAREDIR}
	@cp default_config/defaults.cfg ${DESTDIR}/${SHAREDIR}/default_config/
	@mkdir -p ${DESTDIR}/usr/sbin
	@cp image-creator ${DESTDIR}/usr/sbin/
	@mkdir -p ${DESTDIR}/etc/bash_completion.d/
	@cp utils/image-creator-completion.bash ${DESTDIR}/etc/bash_completion.d/
	@mkdir -p ${DESTDIR}/${SHAREDIR}/gnome/help/image-creator/
	@cp -a help/* ${DESTDIR}/${SHAREDIR}/gnome/help/image-creator/
	@cp utils/*.py  ${DESTDIR}/${SHAREDIR}/utils/
	@mkdir -p ${DESTDIR}/usr/share/applications/
	sed '{s/%%EXEC_CMD%%/gksu \/usr\/sbin\/image-creator/}' image-creator.desktop.template > ${DESTDIR}/usr/share/applications/image-creator.desktop
	@echo "Done"

rpm:
	@echo create the tarball...
	cd ..; cp -a moblin-image-creator moblin-image-creator-${VERSION}; tar zcpvf /usr/src/rpm/SOURCES/moblin-image-creator-${VERSION}.tgz moblin-image-creator-${VERSION}/; rm -fR moblin-image-creator-${VERSION}
	rpmbuild -bb moblin-image-creator.spec

# Cleans out the current directory cruft
clean:
	@echo -n "Cleaning up working directory files..."
	@rm -f *.pyc
	@rm -f unittest/*.pyc
	@find -name \*~ -exec rm -f {} \;
	@echo "Done"

# Cleans out the installation target
cleanall: clean
	@${MAKE} -C platforms clean
	@echo -n "Removing previously installed files..."
	@rm -rf ${DESTDIR}/${SHAREDIR}/gnome
	@rm -rf ${DESTDIR}/${SHAREDIR}/lib
	@rm -rf ${DESTDIR}/${SHAREDIR}/locale
	@rm -rf ${DESTDIR}/${SHAREDIR}/platforms
	@rm -f ${DESTDIR}/${SHAREDIR}/*.glade
	@rm -f ${DESTDIR}/usr/bin/image-creator
	@rm -f ${DESTDIR}/usr/sbin/image-creator
	@rm -f ${DESTDIR}/etc/bash_completion.d/image-creator-completion.bash
	@rm -rf ${DESTDIR}/${SHAREDIR}/utils
	@rm -f ${DESTDIR}/usr/share/applications/image-creator.desktop
	@apt-get clean
	@echo "Done"

# Run the unit tests which run fairly quickly
runbasictests:
	@echo "Running basic unit tests..."
	unittest/test_fsets.py
	unittest/testProject.py
	unittest/testSdk.py
	@echo "Basic unit tests completed"

# Run all of our tests, even the ones that take a long time to run
runalltests: runtests
	@echo "Running unit tests that take a long time..."
	unittest/testInstallImage.py

=== platforms/Makefile ===
DIRS = $(shell find -maxdepth 1 -type d|grep "..$*")

all:
	@for i in ${DIRS}; do make -C $$i; done

install:
	@for i in ${DIRS}; do make -C $$i install; done

clean:
	@for i in ${DIRS}; do make -C $$i clean; done

=== platforms/mccaslin/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin
SHARE = ${DESTDIR}/usr/share/pdk

all:

install:
	@mkdir -p ${SHARE}/platforms/${PNAME}
	@cp install.sh ${SHARE}/platforms/${PNAME}
	@cp exclude ${SHARE}/platforms/${PNAME}
	@mkdir -p ${SHARE}/platforms/${PNAME}
	@cp -a sources ${SHARE}/platforms/${PNAME}
	@cp -a initramfs ${SHARE}/platforms/${PNAME}
	@mkdir -p ${SHARE}/platforms/${PNAME}/fsets
	@cp fsets/*.fset ${SHARE}/platforms/${PNAME}/fsets/

clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/menlow/Makefile ===
PNAME = menlow
SHARE = ${DESTDIR}/usr/share/pdk

all:

install:
	@mkdir -p ${SHARE}/platforms/${PNAME}
	@cp install.sh ${SHARE}/platforms/${PNAME}
	@cp exclude ${SHARE}/platforms/${PNAME}
	@mkdir -p ${SHARE}/platforms/${PNAME}
	@cp -a sources ${SHARE}/platforms/${PNAME}
	@cp -a initramfs ${SHARE}/platforms/${PNAME}
	@mkdir -p ${SHARE}/platforms/${PNAME}/fsets
	@cp fsets/*.fset ${SHARE}/platforms/${PNAME}/fsets/

clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== debian/changelog ===
moblin-image-creator (0.29gutsy1) gutsy; urgency=low

  * Upload targetted at gutsy.
  * Make apt_cmd in Project.py just set Dir::Etc when calling apt.  This
    ensures our sources.list.d directory gets correctly picked up.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 08 Oct 2007 15:38:50 +0200

moblin-image-creator (0.29) gutsy; urgency=low

  [ John L. Villalovos ]
  * Add a .img into the input box for creating an image.  Also made a single
    function for querying the user for the name of an image.

  [ Prajwal Mohan <prajwal@linux.intel.com> ]
  * Added Write USB Image to menu. This will allow users to burn any image to
    USB drive.

  [ Bob Spencer ]
  * Added moblin-notes to staging fset 

  [ Tollef Fog Heen ]
  * Update fsets to depend on linux-lpia|linux-generic (or
    linux-lpia|linux-ume as appropriate) so lpia works better.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 25 Sep 2007 19:42:26 +0200

moblin-image-creator (0.28) gutsy; urgency=low

  [ John L. Villalovos ]
  * Really change over to using /proc/mounts instead of /etc/mtab.  Forget to
    actually commit the file last time.
  * Adding in our config file processing stuff
  * Adding in our default config file
  * Deleting library that wasn't needed.  Also deleted some extraneous
    functions.
  * fixing up mic_cfg.py.  Just some cleanup.
  * Putting new config system in place.  Fingers are crossed.
  * Removing very very verbose messages on error.
  * Give a warning if people are using the old ~/.image-creator/platforms.cfg
    file.
  * Decided to use [platform] rather than [bootstrap] seemed more appropriate
    as I added a few more options.
  * Added an [installimage] section to the config
  * Make our umount function use the pdk_utils.getMountInfo() function.  This
    function uses /proc/mounts to determine the mounts on the system.
    Hopefully this will do a better job in umounting stuff
  * Fix issue with misspelled variable
  * Convert fset names on the command line to lowercase.
  * Fix indenation error that was causing our retries to fail
  * Previous fix uncovered a bug in resetting an environement error.  Fixing
    that.
  * Update so that both platforms are using galculator.
  * Added a debug option to the config file, well make more extensive use of
    it in the future.
  * More debug option work.
  * Bob likes to use symbolic links, this seems to cause issues.  So putting
    in an attempted fix for that.
  * More fixing for symbolic links
  * Add a "progress bar" when writing an image to a USB drive.
  * Removed ISO buttons.  Also cleaned up the UI a little bit.  Hopefully text
    will not be cut-off on the buttons anymore.
  * Fix the pixmap to be MIC rather than PB.
  * We now umount all of our mounts upon quitting.
  * Minor changes to GUI layout
  * Add the README to the documentation in the debian package
  * Created an SDK umount() function which takes care of umounting all the
    projects that the SDK knows about.  Now call this function from the GUI,
    rather than having the GUI iterate through the projects and umounting
    them.
  * Make the command line version also umount all of our mounts upon exit.
  * Create the (chroot)/etc/debian_chroot file when doing a chroot from the
    GUI.  So you can more easily tell which terminal is a chroot.
  * Clean up the command line completion code.  Added --run-command and
    deleted the ones relating to ISO creation, since we don't do that.
  * Edited the options that image-creator accepts.  Deleted the ISO ones.
    Also made it so that commands can be easily sorted in the text editor.
  * Fix error from previous commit.  Also starting work on save and load
    project feature
  * Make sure the callback feature gets called for progress indication
  * Work in progress on adding a save-project command.  Basic functionality
    works from the image-creator command line.
  * Improving the execCommand() function so that it won't block and then cause
    our throbber to stop.  Also improved some of the exception printing.
  * Changing the code in relation to the callback for the progress/throbber
    bar.  Just making it simpler.
  * Who knew that writing an execCommand() function would be so complicated :(
    Work continues.
  * Try to minimize the time that the throbber stops during image creation.
  * Add a little more documentation to the config file.
  * Added a generated [userinfo] section to the config information.  It is NOT
    in any of the config files but is generated by mic_cfg.py.  Purpose of
    this is so that we have away of knowing what user we really are even if we
    do a sudo.
  * Added the load-project functionality to the command line

  [ Tollef Fog Heen ]
  * Add support for setting the architecture from the configuration file.

  [ Prajwal Mohan ]
  * Killing USB selection dialog for progress bar shows up in the front

 -- John L. Villalovos <john.l.villalovos@intel.com>  Tue, 18 Sep 2007 16:11:52 -0700

moblin-image-creator (0.27) gutsy; urgency=low

  [ Alek Du ]
  * Add pm-utils and vbetool to fset for S3/S4 support
  * Remove unnecessary busybox-initramfs workaround since mount --bind works again
  * Add nolapic_timer to mccaslin kernel cmdline to workaround S3/S4 issue
  * Add libhildon-1-dev and libhildonfm2-dev to project root, since QA guys need 
    them for ABAT cases

  [ John L. Villalovos ]
  * Created a global variable that specifies the size of the ext3 filesystem
    on a liveRW USB image.  Might move this into a config file in the future.
  * Fix broken "clear-rootstraps" command
  * Trying to fix issue where thousands and thousands of extra new-lines are
    printed.
  * Changed way we clean up the /var/apt/cache/archives of the bootstraps, to
    use the 'apt-get clean' command in a chroot environment.
  * Creating the ~/.image-creator/ directory if it does not exist.
  * Make it so that you can do a terminal in a target, once the target is
    created.


=== debian/control ===
Source: moblin-image-creator
Section: devel
Priority: extra
Maintainer: Rusty Lynch <rusty.lynch@intel.com>
Build-Depends: debhelper (>= 5), python-support (>= 0.3)
Standards-Version: 3.7.2

Package: moblin-image-creator
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gnome2, python-glade2, debootstrap, dosfstools, bzip2
Description: Mobile-Linux Image Creator
 The moblin-image-creator utility enables developers to build full mobile 
 or single purposed Linux stacks using a mainstream distribution.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/moblin-image-creator basicinstall
	rm -fR $(CURDIR)/debian/moblin-image-creator/usr/lib/
	rm $(CURDIR)/debian/moblin-image-creator/usr/share/pdk/COPYING

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_pysupport
	dh_gencontrol
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## moblin-image-creator 0.44+repack

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 SHAREDIR = /usr/share/pdk/
+VARDIR = /var/lib/moblin-image-creator
 
 VERSION = 0.1
 all:
@@ -17,21 +18,24 @@
 	@echo "Installing platform definitions..."
 	@${MAKE} -C platforms install
 	@echo -n "Installing moblin-image-creator..."
+	@mkdir -p ${DESTDIR}/${VARDIR}
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/default_config
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/lib
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/locale
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/projects
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/utils
-	@mkdir -p ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
-	@cp utils/gutsy ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
+	@head -n 1 debian/changelog > ${DESTDIR}/${SHAREDIR}/version
 	@cp libs/*.py  ${DESTDIR}/${SHAREDIR}/lib
 	@cp gui/*.py  ${DESTDIR}/${SHAREDIR}/lib
 	@cp gui/*.glade ${DESTDIR}/${SHAREDIR}
+	@cp gui/*.png ${DESTDIR}/${SHAREDIR}
+	@cp gui/newFeature ${DESTDIR}/${SHAREDIR}
 	@cp COPYING ${DESTDIR}/${SHAREDIR}/
 	@cp -a gui/pixmaps/. ${DESTDIR}/${SHAREDIR}
 	@cp default_config/defaults.cfg ${DESTDIR}/${SHAREDIR}/default_config/
-	@mkdir -p ${DESTDIR}/usr/sbin
-	@cp image-creator ${DESTDIR}/usr/sbin/
+	@mkdir -p ${DESTDIR}/usr/bin
+	@rm -f ${DESTDIR}/usr/sbin/image-creator
+	@cp image-creator ${DESTDIR}/usr/bin/
 	@mkdir -p ${DESTDIR}/etc/bash_completion.d/
 	@cp utils/image-creator-completion.bash ${DESTDIR}/etc/bash_completion.d/
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/gnome/help/image-creator/
@@ -52,12 +56,13 @@
 	@rm -f *.pyc
 	@rm -f unittest/*.pyc
 	@find -name \*~ -exec rm -f {} \;
+	@${MAKE} -C platforms clean
 	@echo "Done"
 
 # Cleans out the installation target
 cleanall: clean
-	@${MAKE} -C platforms clean
 	@echo -n "Removing previously installed files..."
+	@rm -rfv ${DESTDIR}/${VARDIR}/rootstraps
 	@rm -rf ${DESTDIR}/${SHAREDIR}/gnome
 	@rm -rf ${DESTDIR}/${SHAREDIR}/lib
 	@rm -rf ${DESTDIR}/${SHAREDIR}/locale
@@ -68,12 +73,12 @@
 	@rm -f ${DESTDIR}/etc/bash_completion.d/image-creator-completion.bash
 	@rm -rf ${DESTDIR}/${SHAREDIR}/utils
 	@rm -f ${DESTDIR}/usr/share/applications/image-creator.desktop
-	@apt-get clean
 	@echo "Done"
 
 # Run the unit tests which run fairly quickly
 runbasictests:
 	@echo "Running basic unit tests..."
+	unittest/testMoblin_apt.py
 	unittest/test_fsets.py
 	unittest/testProject.py
 	unittest/testSdk.py
@@ -83,3 +88,14 @@
 runalltests: runtests
 	@echo "Running unit tests that take a long time..."
 	unittest/testInstallImage.py
+
+uninstall: cleanall
+	@echo "Uninstalling moblin-image-creator..."
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.png
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.xcf
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.xpm
+	@rm -f ${DESTDIR}/${SHAREDIR}/README
+	@rm -f ${DESTDIR}/${SHAREDIR}/COPYING
+	@rm -f ${DESTDIR}/${SHAREDIR}/version
+	@find ${DESTDIR}/${SHAREDIR}/projects -type f -exec echo Project found: {} \;
+	@echo "Done"

=== platforms/Makefile ===
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/
DIRS = $(shell find -maxdepth 1 -type d | grep "..$*" | grep -v /common)

all:
	echo ${DIRS}
	@for i in ${DIRS}; do make -C $$i; done

install:
	@mkdir -p ${SHARE}/debootstrap-scripts
	@cp common-apt/debootstrap-scripts/* ${SHARE}/debootstrap-scripts/
	@for i in ${DIRS}; do make -C $$i install; done
	@cp -a platforms.cfg ${PLATFORM_DIR}/

clean:
	@for i in ${DIRS}; do make -C $$i clean; done

=== platforms/mccaslin-lpia-fedora/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin-lpia-fedora
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/yum.repos.d
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.

# Platform specific code.
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
	@cp yum.repos.d/* ${PLATFORM_DIR}/yum.repos.d/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/mccaslin-lpia-ubuntu-hardy-ppa-snapshot/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin-lpia-ubuntu-hardy-ppa-snapshot
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/mccaslin-lpia-ubuntu-hardy-ppa/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin-lpia-ubuntu-hardy-ppa
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/mccaslin-lpia-ubuntu-hardy/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin-lpia-ubuntu-hardy
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/mccaslin-lpia/Makefile ===
TMPDIR = /tmp/.tmpbuilddir
PNAME = mccaslin-lpia
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/menlow-lpia-ubuntu-hardy-ppa-snapshot/Makefile ===
PNAME = menlow-lpia-ubuntu-hardy-ppa-snapshot
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/menlow-lpia-ubuntu-hardy-ppa/Makefile ===
PNAME = menlow-lpia-ubuntu-hardy-ppa
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/menlow-lpia-ubuntu-hardy/Makefile ===
PNAME = menlow-lpia-ubuntu-hardy
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp

=== platforms/menlow-lpia/Makefile ===
PNAME = menlow-lpia
SHARE = ${DESTDIR}/usr/share/pdk
PLATFORM_DIR = ${SHARE}/platforms/${PNAME}

all:

install:
	@mkdir -p ${PLATFORM_DIR}
	@mkdir -p ${PLATFORM_DIR}/fsets
	@mkdir -p ${PLATFORM_DIR}/initramfs/scripts
# Install common code to the platform first, so if we have platform
# specific code it will get overwritten.
	@cp -a ../common-apt/initramfs ${PLATFORM_DIR}/
	@cp ../common-apt/exclude ${PLATFORM_DIR}/
	@cp ../common-apt/install.sh ${PLATFORM_DIR}/
# Platform specific code.
	@cp -a sources ${PLATFORM_DIR}/
	@cp -a initramfs ${PLATFORM_DIR}/
	@cp fsets/*.fset ${PLATFORM_DIR}/fsets/
clean:
	rm -f *.tar.bz2 *~ package-build-stamp
